
package cn.orionsec.ops.service.impl;

import cn.orionsec.ops.dao.AlarmGroupUserDAO;
import cn.orionsec.ops.entity.domain.AlarmGroupUserDO;
import cn.orionsec.ops.service.api.AlarmGroupUserService;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service("alarmGroupUserService")
public class AlarmGroupUserServiceImpl implements AlarmGroupUserService {

    @Resource
    private AlarmGroupUserDAO alarmGroupUserDAO;

    @Override
    public List<AlarmGroupUserDO> selectByGroupId(Long groupId) {
        LambdaQueryWrapper<AlarmGroupUserDO> wrapper = new LambdaQueryWrapper<AlarmGroupUserDO>()
                .eq(AlarmGroupUserDO::getGroupId, groupId);
        return alarmGroupUserDAO.selectList(wrapper);
    }

    @Override
    public List<AlarmGroupUserDO> selectByGroupIdList(List<Long> groupIdList) {
        LambdaQueryWrapper<AlarmGroupUserDO> wrapper = new LambdaQueryWrapper<AlarmGroupUserDO>()
                .in(AlarmGroupUserDO::getGroupId, groupIdList);
        return alarmGroupUserDAO.selectList(wrapper);
    }

    @Override
    public Integer deleteByGroupId(Long groupId) {
        LambdaQueryWrapper<AlarmGroupUserDO> wrapper = new LambdaQueryWrapper<AlarmGroupUserDO>()
                .eq(AlarmGroupUserDO::getGroupId, groupId);
        return alarmGroupUserDAO.delete(wrapper);
    }

    @Override
    public Integer deleteByUserId(Long userId) {
        LambdaQueryWrapper<AlarmGroupUserDO> wrapper = new LambdaQueryWrapper<AlarmGroupUserDO>()
                .eq(AlarmGroupUserDO::getUserId, userId);
        return alarmGroupUserDAO.delete(wrapper);
    }

}
